package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchEditTabs
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class BatchEditTabs   {
  @JsonProperty("tabs")
  @Valid
  private List<BatchUpdateTab> tabs = null;

  public BatchEditTabs tabs(List<BatchUpdateTab> tabs) {
    this.tabs = tabs;
    return this;
  }

  public BatchEditTabs addTabsItem(BatchUpdateTab tabsItem) {
    if (this.tabs == null) {
      this.tabs = new ArrayList<>();
    }
    this.tabs.add(tabsItem);
    return this;
  }

  /**
   * Edit Tab Parameters
   * @return tabs
  */
  @ApiModelProperty(value = "Edit Tab Parameters")

  @Valid

  public List<BatchUpdateTab> getTabs() {
    return tabs;
  }

  public void setTabs(List<BatchUpdateTab> tabs) {
    this.tabs = tabs;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchEditTabs batchEditTabs = (BatchEditTabs) o;
    return Objects.equals(this.tabs, batchEditTabs.tabs);
  }

  @Override
  public int hashCode() {
    return Objects.hash(tabs);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchEditTabs {\n");
    
    sb.append("    tabs: ").append(toIndentedString(tabs)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

